/*
Copyright (c) 1999-2007, United States Government, as represented by
the Administrator for The National Aeronautics and Space Administration.
All rights reserved.
*/

package gov.nasa.gsfc.drl.rtstps.core.output.rdr;

import gov.nasa.gsfc.drl.rtstps.core.RtStpsException;

public class SpacecraftDiaryAggregate extends Aggregate {

	
	
	public SpacecraftDiaryAggregate(int rdrGroup, String aggregateName) throws RtStpsException {
		super(rdrGroup, "SPACECRAFT-DIARY-RDR_Aggr");
	}
	public SpacecraftDiaryAggregate(int rdrGroup) throws RtStpsException {
		// 6.0: RDR Name is now a class and not an enum value
		super(rdrGroup, RDRName.fromRDRNameStr("SPACECRAFT-DIARY-RDR"));
	}
	public SpacecraftDiaryAggregate(GranuleId beginningGranuleId,
	 		GranuleId endingGranuleId,
	 		long beginningOrbit,
	 		long endingOrbit,
	 		PDSDate beginningDateTime,
			PDSDate endingDateTime,
			long granuleCount) {
		// 6.0: RDR Name is now a class and not an enum value
		super(beginningGranuleId, 
				endingGranuleId, 
				beginningOrbit, 
				endingOrbit, 
				beginningDateTime, 
				endingDateTime, 
				granuleCount, 
				RDRName.fromRDRNameStr("SPACECRAFT-DIARY-RDR"));
	}

	



}
